> ## Documentation Index
> Fetch the complete documentation index at: https://developer.flabslis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP

> Verifies the OTP sent to the patient's contact number.



## OpenAPI

````yaml POST /client/patient/verifyLoginOTP
openapi: 3.0.3
info:
  title: Patient API
  version: 1.0.0
  description: APIs for patient authentication and report retrieval.
servers:
  - url: https://v2.flabs.in
    description: Production Server
security: []
paths:
  /client/patient/verifyLoginOTP:
    post:
      summary: Verify login OTP
      description: Verifies the OTP sent to the patient's contact number.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                otp:
                  type: string
                  description: OTP received by the patient
                otpToken:
                  type: string
                  description: Token received from getLoginOTP API
              required:
                - otp
                - otpToken
            example:
              otp: '123456'
              otpToken: otp-token
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  patientToken:
                    type: string
                    description: JWT token for patient authentication
              example:
                patientToken: patient-token
        4XX:
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  status:
                    type: integer
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      details:
                        type: string
              example:
                success: false
                status: 401
                message: Unauthorized
                error:
                  details: Invalid OTP
        5XX:
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  status:
                    type: integer
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      details:
                        type: string
              example:
                success: false
                status: 500
                message: Internal Server Error
                error:
                  details: An unexpected error occurred
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorization token obtained from the auth API

````